class Labels
	getLabels: (keyword) ->
		labels = 
			m_os: 'Operating System'
			os_bit: 'System Bit'
		return labels[keyword]
		
class Dashboard extends Labels
	constructor: () ->
        
	getGeneralInformation: () ->
		html = ""
		that = this
		$.get "/os", (data) ->
			$.each data, (key, value) ->
				html += "<li> "+that.getLabels(key)+": "+(if value isnt "" then value else " No Result ")+"</li>"
				return
			$('#general-information').html html
	
	getCpuInformation: () ->
		html = ""
		that = this
		$.get "/cpu", (data) ->
			$.each data, (key,result) ->
                html += "<tr>"
                html += "<td>#{result.number_of_core}</td>"
                html += "<td>#{result.model_name}</td>"
                html += "<td>#{result.vendor_id}</td>"
                html += "<td>#{result.cpu_count}</td>"
                html += "<td>#{result.kernel_version}</td>"
                html += "</tr>"
                return
            $('#cpu_info').html html
			
	getUsers: () ->
		html = ""
		that = this
		$.get "/users", (data) ->
			$.each data, (key ,result) ->
				html += "<tr>"
				html += "<td>#{result.platform}</td>"
				html += "<td>#{result.user}</td>"
				html += "<td>#{result.directory}</td>"
				html += "</tr>"
				return
			$('#users').html html
	
	getPs: () ->
		html = ""
		that = this
		$.get "/disk", (data) ->
			$('#disk').html "<tr><td colspan='7'>Loading...</td></tr>"
			$.each data, (key,result) ->
				html += "<tr>"
				html += "<td>#{result.Filesystem}</td>"
				html += "<td>#{result.Size}</td>"
				html += "<td>#{result.Used}</td>"
				html += "<td>#{result.Avail}</td>"
				html += "<td>#{result.Capacity}</td>"
				html += "</tr>"
				return
			$('#disk').html html

	getCpuProc: () ->
	$.get "/top_cpu", (data) ->
	  total = data.length
	  return_data = ''
	  i = 0

	  while i <= total
	    return_data += "<li>" + data[i] + "</li>"  unless typeof data[i] is "undefined"
	    i++
	  $('#cpu_list').html return_data
	  return



dashboard = new Dashboard
dashboard.getGeneralInformation()
dashboard.getPs()
dashboard.getUsers()